Bug 200262 - Segfault in hotshot profiler
Segfault in hotshot profiler
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 11:48 EDT by Dennis Gregorovic
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 13:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (4.12 KB, text/plain)
2006-07-26 11:49 EDT, Dennis Gregorovic
no flags Details

  None (edit)
Description Dennis Gregorovic 2006-07-26 11:48:42 EDT
Description of problem:
I occasionally get a segfault in a Python script that I have.  I've run it under
gdb and grabbed backtrace, and it appears that the hotshot profiler is the culprit.

Version-Release number of selected component (if applicable):
python-2.3.4-14.2

How reproducible:
Sometimes

Additional info:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4035831008 (LWP 11180)]
profiler_callback (self=0x1e203b30, frame=0x1d2cbd70, what=3, arg=Variable "arg"
is not available.
) at /usr/src/debug/Python-2.3.4/Modules/_hotshot.c:582
582             self->buffer[self->index] = partial;
Comment 1 Dennis Gregorovic 2006-07-26 11:49:50 EDT
Created attachment 133078 [details]
backtrace
Comment 2 Jeremy Katz 2007-01-06 16:24:36 EST
Have a reproducer for this?  The backtrace isn't all that enlightening at a glance
Comment 3 Jeremy Katz 2008-06-13 13:29:30 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.